from mlp import run_mlp_training
import numpy as np

def test_run_mlp_training():

    data_train = np.random.rand(100, 1000)
    labels_train = np.random.randint(10, size=100)
    data_test = np.random.rand(80, 1000)
    labels_test = np.random.randint(10, size=80)
    d_h = 4

    train_accuracies, test_accuracy = run_mlp_training(data_train, labels_train, data_test, labels_test, d_h, learning_rate=0.01, num_epoch=3)

    assert len(train_accuracies) == 3
    assert isinstance(test_accuracy, float)