from mlp import predict_mlp
import numpy as np

def test_predict_mlp():

    data = np.random.rand(100, 1000)

    d_in = data.shape[1]
    d_out = 10
    d_h = 4

    w1 = 2 * np.random.rand(d_in, d_h) - 1  # first layer weights
    b1 = np.zeros((1, d_h))                 # first layer biaises
    w2 = 2 * np.random.rand(d_h, d_out) - 1 # second layer weights
    b2 = np.zeros((1, d_out))               # second layer biaises

    predictions = predict_mlp(w1, b1, w2, b2, data)

    assert predictions.shape == (100,)